Bug 22949 - Markup error in OPAC course reserves template
Summary: Markup error in OPAC course reserves template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 15699
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-21 14:44 UTC by Owen Leonard
Modified: 2019-10-14 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 22949: Markup error in OPAC course reserves template (2.38 KB, patch)
2019-05-21 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22949: Markup error in OPAC course reserves template (2.43 KB, patch)
2019-06-21 19:23 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 22949: Markup error in OPAC course reserves template (2.50 KB, patch)
2019-06-24 19:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 14:44:18 UTC
There is a missing "=" in opac-course-reserves.tt which causes validation errors:

 - 'Quote " in attribute name. Probable cause: Matching quote missing somewhere 
   earlier.'
 - 'Attribute class"inst_surname" not allowed on element span at this point.'
Comment 1 Owen Leonard 2019-05-21 14:50:26 UTC
Created attachment 89944 [details] [review]
Bug 22949: Markup error in OPAC course reserves template

This patch adds a missing "=" in opac-course-reserves.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have one or more course reserves
available in the OPAC. Go to the course reserves page. Run the page
through the W3C validation service: https://validator.w3.org. Either by
pasting in the URL for the search results (if web accessible) or by
viewing source, copying, and pasting into "Validate by Direct Input."

This patch addresses these errors:

 - 'Quote " in attribute name. Probable cause: Matching quote missing
    somewhere earlier.'
 - 'Attribute class"inst_surname" not allowed on element span at this
    point.'

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.
Comment 2 Frédérik Chénier 2019-06-21 19:23:30 UTC
Created attachment 90934 [details] [review]
Bug 22949: Markup error in OPAC course reserves template

This patch adds a missing "=" in opac-course-reserves.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have one or more course reserves
available in the OPAC. Go to the course reserves page. Run the page
through the W3C validation service: https://validator.w3.org. Either by
pasting in the URL for the search results (if web accessible) or by
viewing source, copying, and pasting into "Validate by Direct Input."

This patch addresses these errors:

 - 'Quote " in attribute name. Probable cause: Matching quote missing
    somewhere earlier.'
 - 'Attribute class"inst_surname" not allowed on element span at this
    point.'

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: frederik <frederik@inlibro.com>
Comment 3 M. Tompsett 2019-06-24 18:39:11 UTC
Frederik forgot to mark as signed off. Eyeballs well from my perspective.
Comment 4 Jonathan Druart 2019-06-24 19:56:29 UTC
Created attachment 90978 [details] [review]
Bug 22949: Markup error in OPAC course reserves template

This patch adds a missing "=" in opac-course-reserves.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have one or more course reserves
available in the OPAC. Go to the course reserves page. Run the page
through the W3C validation service: https://validator.w3.org. Either by
pasting in the URL for the search results (if web accessible) or by
viewing source, copying, and pasting into "Validate by Direct Input."

This patch addresses these errors:

 - 'Quote " in attribute name. Probable cause: Matching quote missing
    somewhere earlier.'
 - 'Attribute class"inst_surname" not allowed on element span at this
    point.'

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: frederik <frederik@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2019-06-25 16:02:02 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-25 11:25:05 UTC
Pushed to 19.05.x for 19.05.03
Comment 7 Lucas Gass 2019-07-25 21:01:20 UTC
backported to 18.11.x for 18.11.09